Subject: bug#52874: [External] : Re: bug#52874: 26.3; Be able to keep current menu-bar menus when minibuffer is used

From: Drew Adams <[email-masked]>
Date: Thu, 30 Dec 2021 20:37:51 +0000

BTW, I tried your suggestion of having the command
put back the menu-bar menus of the original buffer.

I found no way to do that so that menu shows while 
the command reads with `completing-read'.

I tried to do it using `minibuffer-setup-hook',
using `after-change-major-mode-hook', and using
`change-major-mode-after-body-hook', but I had no 
luck.

This would need to be done after the menu-bar gets
changed to reflect the major mode that's in effect
when the minibuffer is active.  It's that menu-bar
that I want to replace by the one present before
invoking the command.